Bug 1292878 - httpd.service: Failed with result 'exit-code' after entering SSL passphrase
Summary: httpd.service: Failed with result 'exit-code' after entering SSL passphrase
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Kaluža
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-18 15:56 UTC by Germano Massullo
Modified: 2015-12-23 23:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-23 23:33:06 UTC


Attachments (Terms of Use)

Description Germano Massullo 2015-12-18 15:56:10 UTC
Description of problem:
After entering httpd SSL certificate passphrase, I obtain messages


===journal errors===
machine systemd[1]: Failed to start The Apache HTTP Server.
-- Subject: L'unità httpd.service è fallita
-- Defined-By: systemd
-- Support: http://lists.freedesktop.org/mailman/listinfo/systemd-devel
-- 
-- L'unità httpd.service è fallita.
-- 
-- Il risultato è failed.
dic 18 16:49:51 machine systemd[1]: httpd.service: Unit entered failed state.
dic 18 16:49:51 machine systemd[1]: httpd.service: Failed with result 'exit-code'.
dic 18 16:49:51 machine polkitd[769]: Unregistered Authentication Agent for unix-process:2832:42670 (system bus name :1.56, object path /org/freedesktop/PolicyKit1/Authentic
lines 1220-1242/1242 (END)


===# systemctl status httpd.service -l===
● httpd.service - The Apache HTTP Server
   Loaded: loaded (/usr/lib/systemd/system/httpd.service; enabled; vendor preset: disabled)
   Active: failed (Result: exit-code) since ven 2015-12-18 16:49:51 CET; 2min 59s ago
  Process: 2839 ExecStart=/usr/sbin/httpd $OPTIONS -DFOREGROUND (code=exited, status=1/FAILURE)
 Main PID: 2839 (code=exited, status=1/FAILURE)

dic 18 16:49:45 machine systemd[1]: Starting The Apache HTTP Server...
dic 18 16:49:45 machine httpd[2839]: AH00558: httpd: Could not reliably determine the server's fully qualified domain name, using fe80::feaa:14ff:fec6:6341. Set the 'ServerName' directive globally to suppress this message
dic 18 16:49:51 machine systemd[1]: httpd.service: Main process exited, code=exited, status=1/FAILURE
dic 18 16:49:51 machine systemd[1]: Failed to start The Apache HTTP Server.
dic 18 16:49:51 machine systemd[1]: httpd.service: Unit entered failed state.
dic 18 16:49:51 machine systemd[1]: httpd.service: Failed with result 'exit-code'.




Version-Release number of selected component (if applicable):
httpd-2.4.17-3.fc23.x86_64


Additional info:
SELinux is actually disabled

Comment 1 Germano Massullo 2015-12-22 15:49:30 UTC
Even
apachectl restart
triggers the same problem

Comment 2 Germano Massullo 2015-12-23 23:33:06 UTC
I solved the problem by re-generating SSL certificates


Note You need to log in before you can comment on or make changes to this bug.